import javax.swing.*;
import java.awt.*;

public class ClickCounter1 extends JFrame {
	private static final int FRAME_X_ORIGIN = 150;
	private static final int FRAME_Y_ORIGIN = 150;
	private static final int FRAME_WIDTH = 300;
	private static final int FRAME_HEIGHT = 200;

	private static final int BUTTON_WIDTH = 120;
	private static final int BUTTON_HEIGHT = 30;

	private JButton button;
	private JLabel clickCount, clickLabel;

	public ClickCounter1(String s) {

		//where are these methods defined ?
		setSize(FRAME_WIDTH, FRAME_HEIGHT);
		setTitle(s);
		setLocation(FRAME_X_ORIGIN, FRAME_Y_ORIGIN);

		Container contentPane = getContentPane(); // whose content pane ?
		contentPane.setLayout(null);
		contentPane.setBackground(Color.WHITE);

		button = new JButton("Click me!");
		button.setBounds(160, 125, BUTTON_WIDTH, BUTTON_HEIGHT);
		contentPane.add(button);
		

		clickLabel = new JLabel("#Clicks:");
		clickLabel.setBounds(25, 20, 100, 25);
		contentPane.add(clickLabel);

		clickCount = new JLabel("=0");
		clickCount.setBounds(125, 20, 50, 25);
		contentPane.add(clickCount);

		setDefaultCloseOperation(EXIT_ON_CLOSE);
	}
	public static void main(String[] args) {
		ClickCounter1 cc = new ClickCounter1("Counter of Clicks");
		cc.setVisible(true);
	}
}
